"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const axios = require("axios");
const axiosWithAdapter = (adapter) => {
  return (config) => {
    const service = axios.create({
      baseURL: config.baseUrl,
      // api 的 base_url
      timeout: config.requestTimeout,
      // 请求超时时间
      headers: config.defaultHeaders,
      params: config.defaultParams,
      proxy: config.proxy,
      adapter
    });
    return service;
  };
};
const axiosRequestProvider = axiosWithAdapter();
exports.axiosRequestProvider = axiosRequestProvider;
exports.axiosWithAdapter = axiosWithAdapter;
